export issue to pdf will messup when use Chinese language
Assignee: % Done:
Category: Translations Estimated time:
Target version: 0.7.2

Description

When using Chinese language, exporting issue to pdf will messup when the issue description is too long to be auto line broken.
The reason is the original chinese.rb assumes that the Chinese letter in utf-8 has 2 bytes, but actually the utf-8 Chinese letter has 3
bytes. So sometimes the auto line breaking function will insert a break in the middle of a Chinese letter, and then iconv which cann't

convert the utf-8 text to gb2312 will throw an exception.
The jpg attachment shows the messup effect.

The attached patch also resolve a type convert error which will cause explicit line break being ignored.

And | have also checked the japanese.rb and korean.rb file in the same rfpdf folder. They also have the same problem that they
assumes japanese or korean letter letter in utf-8 has 2 bytes which actually has 3. | hope some local user would correct them

because | cann't read japanese or korean.

Associated revisions

Revision 1497 - 2008-06-07 10:39 - Jean-Philippe Lang

Fixes Chinese pdf export when the issue description is too long (#1170).

Revision 5252 - 2011-03-30 05:27 - Toshi MARUYAMA
PDF: transplant r1497 (#61).

Fixes Chinese pdf export when the issue description is too long (#1170).

History

#1 - 2008-06-07 10:35 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version setto 0.7.2

Fix applied in r1497. Thanks.
